const mssql = [
  {
    tableName: 'reviews',
    columnName: 'published_date',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: null,
    foreignColumnName: null,
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'rating',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: null,
    foreignColumnName: null,
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'book_id',
    columnType: 'FOREIGN KEY',
    constraintName: 'reviews_book_id_fkey',
    foreignTableName: 'books',
    foreignColumnName: 'id',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'id',
    columnType: 'PRIMARY KEY',
    constraintName: 'reviews_pkey',
    foreignTableName: null,
    foreignColumnName: null,
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'user_id',
    columnType: 'FOREIGN KEY',
    constraintName: 'reviews_user_id_fkey',
    foreignTableName: 'users',
    foreignColumnName: 'id',
    uniqueIndexes: [['published_date', 'rating']],
  },
];

const mysql = [
    {
    tableName: 'reviews',
    columnName: 'published_date',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: null,
    foreignColumnName: null,
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'rating',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: null,
    foreignColumnName: null,
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'id',
    columnType: 'PRIMARY KEY',
    constraintName: 'PRIMARY',
    foreignTableName: null,
    foreignColumnName: null,
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'book_id',
    columnType: 'FOREIGN KEY',
    constraintName: 'reviews_book_id_fkey',
    foreignTableName: 'books',
    foreignColumnName: 'id',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'user_id',
    columnType: 'FOREIGN KEY',
    constraintName: 'reviews_user_id_fkey',
    foreignTableName: 'users',
    foreignColumnName: 'id',
    uniqueIndexes: [['published_date', 'rating']],
  },
];

const postgres = [
  {
    tableName: 'reviews',
    columnName: 'published_date',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: 'reviews',
    foreignColumnName: 'published_date',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'published_date',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: 'reviews',
    foreignColumnName: 'rating',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'rating',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: 'reviews',
    foreignColumnName: 'published_date',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'rating',
    columnType: 'UNIQUE',
    constraintName: 'published_date_rating_key',
    foreignTableName: 'reviews',
    foreignColumnName: 'rating',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'book_id',
    columnType: 'FOREIGN KEY',
    constraintName: 'reviews_book_id_fkey',
    foreignTableName: 'books',
    foreignColumnName: 'id',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'id',
    columnType: 'PRIMARY KEY',
    constraintName: 'reviews_pkey',
    foreignTableName: 'reviews',
    foreignColumnName: 'id',
    uniqueIndexes: [['published_date', 'rating']],
  },
  {
    tableName: 'reviews',
    columnName: 'user_id',
    columnType: 'FOREIGN KEY',
    constraintName: 'reviews_user_id_fkey',
    foreignTableName: 'users',
    foreignColumnName: 'id',
    uniqueIndexes: [['published_date', 'rating']],
  },
];

module.exports = { mssql, mysql, postgres };
