const Sequelize = require('sequelize');

module.exports = {
  default_values: {
    fields: [
      {
        name: "boolNull",
        nameColumn: "bool_null",
        type: "BOOLEAN",
        primaryKey: false,
        defaultValue: null,
        isRequired: false,
      },
      {
        name: "boolCst",
        nameColumn: "bool_cst",
        type: "BOOLEAN",
        primaryKey: false,
        defaultValue: true,
        isRequired: false,
      },
      {
        name: "intCst",
        nameColumn: "int_cst",
        type: "INTEGER",
        primaryKey: false,
        defaultValue: 42,
        isRequired: false,
      },
      {
        name: "strNull",
        nameColumn: "str_null",
        type: "STRING",
        primaryKey: false,
        defaultValue: null,
        isRequired: false,
      },
      {
        name: "strCst",
        nameColumn: "str_cst",
        type: "STRING",
        primaryKey: false,
        defaultValue: 'co\'nst\'ant',
        isRequired: false,
      },
      {
        name: "strExpr",
        nameColumn: "str_expr",
        type: "STRING",
        primaryKey: false,
        defaultValue: Sequelize.literal("upper(concat(_utf8mb4\\'Hello\\',_utf8mb4\\'World\\'))"),
        isRequired: false,
      },
      {
        name: "dateNull",
        nameColumn: "date_null",
        type: "DATE",
        primaryKey: false,
        defaultValue: null,
        isRequired: false,
      },
      {
        name: "dateCst1",
        nameColumn: "date_cst1",
        type: "DATE",
        primaryKey: false,
        defaultValue: '2015-05-11 13:01:01',
        isRequired: false,
      },
      {
        name: "dateCst2",
        nameColumn: "date_cst2",
        type: "DATEONLY",
        primaryKey: false,
        defaultValue: '1983-05-27',
        isRequired: false,
      },
      {
        name: "dateExpr1",
        nameColumn: "date_expr1",
        type: "DATE",
        primaryKey: false,
        defaultValue: Sequelize.literal("CURRENT_TIMESTAMP"),
        isRequired: false,
      },
      {
        name: "dateExpr2",
        nameColumn: "date_expr2",
        type: "DATE",
        primaryKey: false,
        defaultValue: Sequelize.literal("CURRENT_TIMESTAMP"),
        isRequired: false,
      },
      {
        defaultValue: null,
        isRequired: false,
        name: "enumCst1",
        nameColumn: "enum_cst1",
        primaryKey: false,
        type: "ENUM('a','b','c')",
      },
      {
        defaultValue: 'a',
        isRequired: false,
        name: "enumCst2",
        nameColumn: "enum_cst2",
        primaryKey: false,
        type: "ENUM('a','b','c')",
      },
      {
        name: "jsonCst",
        nameColumn: "json_cst",
        type: "JSON",
        primaryKey: false,
        defaultValue: { a: 1, b: 2 },
        isRequired: false,
      },
    ],
    primaryKeys: [
      "id",
    ],
    options: {
      underscored: false,
      timestamps: false,
      hasIdColumn: true,
      hasPrimaryKeys: true,
      isJunction: false,
    },
    references: [
    ],
  }
};
