// This model was generated by Lumber. However, you remain in control of your models.
// Learn how here: https://docs.forestadmin.com/documentation/v/v6/reference-guide/models/enrich-your-models
module.exports = (sequelize, DataTypes) => {
  const { Sequelize } = sequelize;
  // This section contains the fields of your model, mapped to your table's columns.
  // Learn more here: https://docs.forestadmin.com/documentation/v/v6/reference-guide/models/enrich-your-models#declaring-a-new-field-in-a-model
  const Renderings = sequelize.define('renderings', {
    createdAt: {
      type: DataTypes.DATE,
    },
    updatedAt: {
      type: DataTypes.DATE,
    },
    deletedAt: {
      type: DataTypes.DATE,
    },
    testEnum: {
      type: DataTypes.ENUM('LEFT','RIGHT'),
    },
    cacheVersion: {
      type: DataTypes.STRING,
    },
    sections: {
      type: DataTypes.JSONB,
      defaultValue: [{"name":"Dashboard","isVisible":true},{"name":"Data","isVisible":true}],
    },
    collectionsPositions: {
      type: DataTypes.ARRAY(DataTypes.INTEGER),
      defaultValue: [],
    },
  }, {
    tableName: 'renderings',
    schema: process.env.DATABASE_SCHEMA,
  });

  // This section contains the relationships for this model. See: https://docs.forestadmin.com/documentation/v/v6/reference-guide/relationships#adding-relationships.
  Renderings.associate = (models) => {
    Renderings.belongsTo(models.environments, {
      foreignKey: {
        name: 'environmentIdUnconventionnalKey',
        field: 'environmentId',
      },
      as: 'environment',
    });
    Renderings.belongsTo(models.teams, {
      foreignKey: {
        name: 'teamIdKey',
        field: 'teamId',
      },
      as: 'team',
    });
    Renderings.belongsTo(models.otherWithTarget, {
      foreignKey: {
        name: 'otherKey',
        field: 'other',
      },
      targetKey: 'otherId',
      as: 'team2',
    });
    Renderings.belongsTo(models.film, {
      foreignKey: {
        name: 'filmKeyNameKey',
        field: 'filmKeyName',
      },
      targetKey: 'filmTargetKey',
      as: 'films',
    });
  };

  return Renderings;
};
