// This model was generated by Lumber. However, you remain in control of your models.
// Learn how here: https://docs.forestadmin.com/documentation/v/v6/reference-guide/models/enrich-your-models
module.exports = (sequelize, DataTypes) => {
  const { Sequelize } = sequelize;
  // This section contains the fields of your model, mapped to your table's columns.
  // Learn more here: https://docs.forestadmin.com/documentation/v/v6/reference-guide/models/enrich-your-models#declaring-a-new-field-in-a-model
  const Users = sequelize.define('users', {
    username: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    enabled: {
      type: DataTypes.BOOLEAN,
      defaultValue: true,
    },
    lastLogin: {
      type: DataTypes.DATE,
      allowNull: false,
    },
  }, {
    tableName: 'users',
    underscored: true,
    timestamps: false,
    schema: process.env.DATABASE_SCHEMA,
  });

  // This section contains the relationships for this model. See: https://docs.forestadmin.com/documentation/v/v6/reference-guide/relationships#adding-relationships.
  Users.associate = (models) => {
    Users.belongsToMany(models.books, {
      through: 'userBooks',
      foreignKey: 'user_id',
      otherKey: 'book_id',
      as: 'booksThroughUserBooks',
    });
    Users.hasMany(models.reviews, {
      foreignKey: {
        name: 'userIdKey',
        field: 'user_id',
      },
      as: 'reviews',
    });
    Users.hasOne(models.addresses, {
      foreignKey: {
        name: 'userIdKey',
        field: 'user_id',
      },
      as: 'address',
    });
  };

  return Users;
};
